
Foreman - Bug #2439

Fix further cases of respond_to? on protected methods for Ruby2.0

04/29/2013 07:17 AM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Orchestration   

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

:initialize_puppetca is a protected method, so for ruby2.0 we need to add 'true' to the call

Associated revisions

Revision 69fa01f6 - 04/30/2013 03:15 AM - Greg Sutcliffe

Fixes #2439 - Add true to respond_to? calls for initialize_puppetca

History

#1 - 04/30/2013 05:14 AM - Greg Sutcliffe

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 69fa01f64cd7c1cdc29e4327bd2d185d266c528c.
